### Function

# GLib spaced_primes_closest

since: 2.0

#### Declaration

    guint
    g_spaced_primes_closest (
      guint num
    )

#### Description

Gets the smallest prime number from a built-in array of primes which is larger than `num`. This is used within GLib to calculate the optimum size of a `GHashTable`.

The built-in array of primes ranges from 11 to 13845163 such that each prime is approximately 1.5-2 times the previous prime.

Available since: 2.0

#### Parameters

`num`

  Type: `guint`

  A #guint.

#### Return value

Type: `guint`

The smallest prime number from a built-in array of primes which is larger than `num`.